import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { CommissionBatchWhereInputObjectSchema as CommissionBatchWhereInputObjectSchema } from './CommissionBatchWhereInput.schema'

const makeSchema = () => z.object({
  every: z.lazy(() => CommissionBatchWhereInputObjectSchema).optional(),
  some: z.lazy(() => CommissionBatchWhereInputObjectSchema).optional(),
  none: z.lazy(() => CommissionBatchWhereInputObjectSchema).optional()
}).strict();
export const CommissionBatchListRelationFilterObjectSchema: z.ZodType<Prisma.CommissionBatchListRelationFilter> = makeSchema() as unknown as z.ZodType<Prisma.CommissionBatchListRelationFilter>;
export const CommissionBatchListRelationFilterObjectZodSchema = makeSchema();
